New Amazon Neptune engine release now enforces a minimum version of TLS 1.2 and SSL client connections

By GIXnews

Amazon Neptune now enforces a minimum version of TLS v1.2 and Secure Sockets Layer (SSL) client connections to Neptune in all AWS Regions where Neptune is available with the latest engine release, 1.0.4.0.

Source:: Amazon AWS